
/**************************************************************
/*
/*		Functions for Analog-Digital Converter
/*
/**************************************************************/

#include "io.h"
#include "config.h"
#include "types.h"

#include "adc.h"

void initADC( void )
{
	// set AVCC as Voltage Reference
	ADMUX |=   (1 << REFS0);
	ADMUX &=  ~(1 << REFS1);

	// select ADC0 as Input
	ADMUX &= ~( (UCHAR)0x1F );

	// Set ADC to Free Running mode
	SFIOR &= ~( (UCHAR)( (1 << ADTS2) | (1 << ADTS1) | (1 << ADTS0) ) );

	// set Prescaler to 64
	ADCSRA |=  (1 << ADPS2) | (1 << ADPS1);
	ADCSRA &= ~(1 << ADPS1);

	// Enable Auto-Trigger
	//ADCSRA |= ( 1 << ADATE );
	
	// enable ADC
	ADCSRA |= (1 << ADEN); 	
}
