
#include "types.h"
#include "io.h"

#include "signal.h"
#include "interrupt.h"

#include "comparator.h"




static unsigned long FrequencyCounter;

void InitComparator( void )
{

	ACSR = 	(1<<ACIS1) | (0<<ACIS0) | 	// trigger mode
			//(1<<ACME) | (0<<ADEN)	|	// ADC1 as input	
 			(1<<ACIE);					// enable Interrupt

	ClearFrequencyCounter();
}

void ClearFrequencyCounter( void )
{
	FrequencyCounter = 0;
}


unsigned long GetFrequencyCounter( void )
{
	return FrequencyCounter;
}

// Comparator-ISR
SIGNAL( SIG_COMPARATOR )
{
	static UCHAR toggle = 0;

	FrequencyCounter++;

	if ( !toggle )
	{
		// turn LED7 on
		PORTC &= ~(1<<PINC7); 
		toggle =  0x01;
	}
		else
		{
			// turn LED7 off	
			PORTC |= (1<<PINC7) ;
			toggle = 0x00; 
		}

}
